.header
  z-index 1000
  &--fixed-down &__inner
    translate 0 -74px

  &--active
    +media-max(l)
      --navigation-opacity 1
      --navigation-pointer-events auto
  &__inner
    transition translate .2s
    translate 0 0
    background-color var(--color-white)
    box-shadow 0px 0px 10px rgba(53,82,122,0.28)
    & .content
      align-items center
  &__bottom
    background-color var(--color-background)
  &__name
    column-gap calc(var(--gap) / 2)
    flex-wrap wrap
    align-items baseline
    color var(--color-mark)
    +media(m)
      justify-self center
    span
      color var(--color-mark-light)
  &__call
    mask-image maskImage(call)
    mask-size cover
    mask-repeat no-repeat
    mask-position center
    background-color var(--color-mark)
  &__switcher
    background-color transparent
    +before()
      display block
      width 1.25rem
      height 1.25rem
      mask-image maskImage(opener)
      mask-size contain
      mask-repeat no-repeat
      mask-position center
      background-color var(--color-mark)
  &__logo
    grid-area logo
  &__navigation
    +media-max(l)
      position fixed
      inset 74px 0 0
      display block
      height calc(100dvh - 74px)
      opacity var(--navigation-opacity, 0)
      pointer-events var(--navigation-pointer-events, none)
      transition opacity .2s
